Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Delete Work Order Signature DELETEGet Work Order Signature GETList Work Order Signatures GETCreate Work Order Signature POST

Resources

ExecutionSignatures

Get Work Order Signature


Retrieve a single signature by its ID for the given work order.

GET
/api/rest/v2/workorders/{work_order_id}/signatures/{signature_id}

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

signature_id*integer

ID of signature

Query Parameters

acting_user_id?integer

ID of the user acting on behalf of another user

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/signatures/0"
{
  "id": 123,
  "name": "Sample Name",
  "format": "string_value",
  "data": "string_value",
  "hash": "string_value",
  "author": {
    "id": 123
  },
  "created": {
    "utc": "string_value",
    "local": {
      "date": "2025-01-01",
      "time": "12:00:00"
    }
  },
  "worklog": {
    "metadata": {
      "total": 100,
      "page": 1,
      "pages": 10,
      "per_page": 20
    },
    "results": [],
    "correlation_id": "string_value",
    "actions": [],
    "hours": 0,
    "open_time_log": {
      "id": 123,
      "devices": 0,
      "in": {
        "created": {
          "utc": "string_value",
          "local": {
            "date": "2025-01-01",
            "time": "12:00:00"
          }
        },
        "coords": {
          "latitude": 44.9778,
          "longitude": -93.265
        },
        "verified": true,
        "distance": 0,
        "actions": [],
        "requires_verification": true
      },
      "out": {
        "created": {
          "utc": "string_value",
          "local": {
            "date": "2025-01-01",
            "time": "12:00:00"
          }
        },
        "coords": {
          "latitude": 44.9778,
          "longitude": -93.265
        },
        "verified": true,
        "distance": 0,
        "actions": [],
        "requires_verification": true,
        "distance_from_in": 0
      },
      "time_zone": {
        "name": "Sample Name",
        "short": "string_value",
        "id": 123,
        "offset": 0
      },
      "verified": true,
      "edited": true,
      "was_late": true,
      "status": "active",
      "hours": 0,
      "logged_by": {
        "id": 123,
        "first_name": "John",
        "last_name": "Doe",
        "created": "string",
        "out": {
          "utc": "string_value",
          "local": {
            "date": "2025-01-01",
            "time": "12:00:00"
          }
        }
      },
      "actions": [],
      "first_check_in": true,
      "timeliness": {
        "on_time": true,
        "was_early": true
      },
      "on_time": true,
      "was_early": true
    }
  },
  "time_zone": {
    "name": "Sample Name"
  },
  "task": {
    "id": 123
  },
  "closing_notes": "string_value",
  "actions": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Delete Work Order Signature DELETE

Previous Page

List Work Order Signatures GET

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/signatures/0"